package com.ruoyi.bst.order.domain;

import com.ruoyi.bst.orderProd.domain.OrderProdBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author wjh
 * 2024/12/17
 */
@Data
public class OrderBO extends Order{

    @ApiModelProperty("订单产品")
    @Size(min = 1, message = "至少需要有一条订单产品")
    @NotNull(message = "至少需要有一条订单产品")
    @Valid
    private List<OrderProdBO> prodList;

    @ApiModelProperty("旧订单信息")
    private OrderVO old;

}
